PROGRAM rdtxt;
VAR

rec : STRING[80];
f   : file of STRING[80];
i   : INTEGER;

BEGIN
  assign (f, 'junk.text');
  reset (f);

  FOR i := 1 TO 100 DO
  BEGIN
    read(f,rec);
    writeln(i, ':' , rec);
  END;

  writeln('Got it');
  close(f);

END.